## kpkpass 23.04.0

=== debian/changelog ===
kpkpass (23.04.0-0xneon+22.04+jammy+release+build15) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 18:58:01 +0000

kpkpass (23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:18:05 +0000

kpkpass (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:33:32 +0000

kpkpass (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:12:30 +0000

kpkpass (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:47:04 +0000

kpkpass (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:54:44 +0000

kpkpass (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:13:20 +0000

kpkpass (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:33:19 +0000

kpkpass (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:14:57 +0000

kpkpass (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:01:06 +0000

kpkpass (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:23:23 +0000

kpkpass (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:19:17 +0000

kpkpass (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:30:48 +0000

kpkpass (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:04:25 +0000

kpkpass (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:01:26 +0000

kpkpass (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:14:26 +0000

kpkpass (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 13:36:04 +0000

kpkpass (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:04 +0000

kpkpass (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:44:49 +0000

kpkpass (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:58:36 +0000

kpkpass (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:27:43 +0000

kpkpass (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:08 +0000

kpkpass (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:26:13 +0000

kpkpass (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:10 +0000

kpkpass (20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:14:43 +0000

kpkpass (20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.29:43 +0000

kpkpass (20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:37:07 +0000

kpkpass (20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:11:22 +0000

kpkpass (20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:30:36 +0000

kpkpass (20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:28:22 +0000

kpkpass (20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:20:48 +0000

kpkpass (20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:40:52 +0000

kpkpass (20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:26:57 +0000

kpkpass (20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:50:05 +0000

kpkpass (19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 11:04:25 +0000

kpkpass (19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:46:25 +0000

kpkpass (19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:16:09 +0000

kpkpass (19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:54:32 +0000

kpkpass (19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:15:16 +0000

kpkpass (19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:13:01 +0000

kpkpass (19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:26:29 +0000

kpkpass (19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:23:21 +0000

kpkpass (19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:37:06 +0000

kpkpass (19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 10:04:06 +0000

kpkpass (19.04.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2019 06:31:40 +0000

kpkpass (19.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Apr 2019 14:14:05 +0000

kpkpass (18.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 15:05:20 +0000

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5archive-dev,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info (>= 1.3~)
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Git: https://invent.kde.org/neon/kde/kpkpass.git
Vcs-Browser: https://invent.kde.org/neon/kde/kpkpass
Maintainer: Neon CI <neon@kde.org>

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev,
         libkpimpkpass5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 17.12.4)
Replaces: kdepim-addons (<< 17.12.4)
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 23.08.0

=== debian/changelog ===
kpkpass (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:20 +0100

kpkpass (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:52 +0100

kpkpass (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:20 +0100

kpkpass (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library libkpimpkpass5 -> libkpim5pkpass5
  * Update installed files
  * Add libkpim5pkpass-data package
  * Drop old Breaks/Replaces against kdepim-addons (<< 18.07.70~)
  * Sync debian/rules with debian, provide virtual ABI package
  * Remove symbols files, no longer used
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:36 +0100

kpkpass (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:41:59 +0000

kpkpass (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:22:55 -0600

kpkpass (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:27:05 +0000

kpkpass (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:27 +0000

kpkpass (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:42 +0000

kpkpass (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:40:30 +0000

kpkpass (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:12:43 +0000

## kpkpass 23.08.1

=== debian/changelog ===
kpkpass (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:18 +0100

## kpkpass 23.08.4

=== debian/changelog ===
kpkpass (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:32 +0000

kpkpass (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:39 +0000

kpkpass (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:28 +0100

## kpkpass 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018-2020 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2018-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.5")
project(KPkPass VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "5.105.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

ecm_setup_version(PROJECT VARIABLE_PREFIX KPKPASS
    VERSION_HEADER kpkpass_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}PkPassConfigVersion.cmake"
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive)
if (NOT ANDROID)
    find_package(SharedMimeInfo 1.3 REQUIRED)
endif()

ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)



option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}PkPass")
set(KPKPASS_KF5_COMPAT FALSE)
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim${KF_MAJOR_VERSION}PkPass_QCH
        FILE KPim${KF_MAJOR_VERSION}PkPassQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}PkPassQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimPkPassConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}PkPassConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}PkPassConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}PkPassConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KPim${KF_MAJOR_VERSION}PkPassTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KPim${KF_MAJOR_VERSION}PkPassTargets.cmake
        NAMESPACE KPim${KF_MAJOR_VERSION}::
)


#if (QT_MAJOR_VERSION STREQUAL "5")
##
# TODO: Backwards compatiblity. Remove in next major version
##
set(CMAKECONFIG_INSTALL_DIR_KF5 "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPimPkPass")
set(KPKPASS_KF5_COMPAT TRUE)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimPkPassConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR_KF5}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfig.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}PkPassConfigVersion.cmake"
    RENAME "KPimPkPassConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(EXPORT KPim${KF_MAJOR_VERSION}PkPassTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    FILE KPim${KF_MAJOR_VERSION}PkPassTargets.cmake
    NAMESPACE KPim::
)
if (BUILD_QCH)
    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}PkPassQchTargets.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
        COMPONENT Devel
    )
endif()
#endif()

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2019-2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION})
add_library(KPim${KF_MAJOR_VERSION}PkPass)
add_library(KPim${KF_MAJOR_VERSION}::PkPass ALIAS KPim${KF_MAJOR_VERSION}PkPass)

target_sources(KPim${KF_MAJOR_VERSION}PkPass PRIVATE
    barcode.cpp
    boardingpass.cpp
    field.cpp
    location.cpp
    pass.cpp
    pass.h
    pass_p.h
    location.h
    field.h
    boardingpass.h
    barcode.h
)

ecm_qt_declare_logging_category(KPim${KF_MAJOR_VERSION}PkPass
        HEADER logging.h
        IDENTIFIER KPkPass::Log
        CATEGORY_NAME org.kde.pkpass
        DESCRIPTION "KPkPass" EXPORT KPKPASS)


generate_export_header(KPim${KF_MAJOR_VERSION}PkPass BASE_NAME KPkPass)
set_target_properties(KPim${KF_MAJOR_VERSION}PkPass PROPERTIES
    VERSION ${KPKPASS_VERSION}
    SOVERSION ${KPKPASS_SOVERSION}
    EXPORT_NAME PkPass
)
target_include_directories(KPim${KF_MAJOR_VERSION}PkPass INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_PIM}>")
target_link_libraries(KPim${KF_MAJOR_VERSION}PkPass
    PUBLIC
        Qt::Gui
    PRIVATE
        KF${KF_MAJOR_VERSION}::Archive
)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}PkPass PROPERTIES UNITY_BUILD ON)
endif()

ecm_generate_headers(KPkPass_HEADERS
    HEADER_NAMES
        Barcode
        BoardingPass
        Field
        Location
        Pass
    REQUIRED_HEADERS KPkPass_HEADERS
)

install(TARGETS KPim${KF_MAJOR_VERSION}PkPass EXPORT KPim${KF_MAJOR_VERSION}PkPassTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KPkPass_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpkpass_export.h
    ${CMAKE_BINARY_DIR}/kpkpass_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM}/KPkPass
)

if (NOT ANDROID AND SharedMimeInfo_VERSION_STRING VERSION_LESS 2.2)
    install(FILES application-vnd-apple-pkpass.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}PkPass_QCH
        NAME KPim${KF_MAJOR_VERSION}PkPass
        BASE_NAME KPim${KF_MAJOR_VERSION}PkPass
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KPkPass_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPKPASS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_qt_install_logging_categories(EXPORT KPKPASS FILE org_kde_kpkpass.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
kpkpass (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:35:24 +0000

kpkpass (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:15:13 +0000

kpkpass (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:13:47 -0700

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5archive-dev,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info (>= 1.3~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim5pkpass5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpim5pkpass5
Architecture: any
Multi-Arch: same
Depends: libkpim5pkpass-data (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

Package: libkpim5pkpass-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpimpkpass5
Replaces: libkpimpkpass5
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 24.08.2

=== debian/changelog ===
kpkpass (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 11:54:47 -0500

kpkpass (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:02:37 +0200

kpkpass (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 01:56:26 +0200

kpkpass (24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Jul 2024 20:29:08 +0200

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libkf6archive-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               shared-mime-info (>= 1.3~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kpkpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
Rules-Requires-Root: no

Package: libkpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6archive-dev (>= 6.3.0~),
         libkpim6pkpass6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpim6pkpass6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 24.12.0

=== debian/changelog ===
kpkpass (24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:53 +0100

kpkpass (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:37:30 +0100

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libkf6archive-dev (>= 6.6.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               shared-mime-info (>= 1.3~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kpkpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
Rules-Requires-Root: no

Package: libkpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6archive-dev (>= 6.6.0~),
         libkpim6pkpass6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpim6pkpass6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 24.12.2

=== debian/changelog ===
kpkpass (24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:06:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                libkf6archive-dev (>= 6.6.0~),
                libxkbcommon-dev,

## kpkpass 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017-2020 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2018-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")
project(KPkPass VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_CXX_STANDARD 20)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
src/*.cpp
src/*.h
autotests/*.cpp
autotests/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMGenerateExportHeader)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
src/*.cpp
src/*.h
autotests/*.cpp
autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


ecm_setup_version(PROJECT VARIABLE_PREFIX KPKPASS
    VERSION_HEADER src/kpkpass_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfigVersion.cmake"
    SOVERSION 6
)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive)
if(NOT ANDROID)
    find_package(SharedMimeInfo 1.3 REQUIRED)
endif()

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)



option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6PkPass")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6PkPass_QCH
        FILE KPim6PkPassQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
   )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6PkPassQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimPkPassConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KPim6PkPassTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KPim6PkPassTargets.cmake
        NAMESPACE KPim6::
)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018-2021 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2021-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

find_package(Qt6Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(pkpasstest.cpp LINK_LIBRARIES Qt::Test KPim6::PkPass)
ecm_add_test(fieldtest.cpp LINK_LIBRARIES Qt::Test KPim6::PkPass)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2019-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim6)
add_library(KPim6PkPass)
add_library(KPim6::PkPass ALIAS KPim6PkPass)

target_sources(KPim6PkPass PRIVATE
    barcode.cpp
    boardingpass.cpp
    field.cpp
    location.cpp
    pass.cpp
    pass.h
    pass_p.h
    location.h
    field.h
    boardingpass.h
    barcode.h
)

ecm_qt_declare_logging_category(KPim6PkPass
        HEADER logging.h
        IDENTIFIER KPkPass::Log
        CATEGORY_NAME org.kde.pkpass
        DESCRIPTION "KPkPass" EXPORT KPKPASS)

ecm_generate_export_header(KPim6PkPass
    BASE_NAME KPkPass
    VERSION ${KPKPASS_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER \"kpkpass_version.h\"
)


set_target_properties(KPim6PkPass PROPERTIES
    VERSION ${KPKPASS_VERSION}
    SOVERSION ${KPKPASS_SOVERSION}
    EXPORT_NAME PkPass
)
target_include_directories(KPim6PkPass INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_PIM}>")
target_link_libraries(KPim6PkPass
    PUBLIC
        Qt::Gui
    PRIVATE
        KF6::Archive
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6PkPass PROPERTIES UNITY_BUILD ON)
endif()

ecm_generate_headers(KPkPass_HEADERS
    HEADER_NAMES
        Barcode
        BoardingPass
        Field
        Location
        Pass
    REQUIRED_HEADERS KPkPass_HEADERS
)

install(TARGETS KPim6PkPass EXPORT KPim6PkPassTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KPkPass_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpkpass_export.h
    ${CMAKE_BINARY_DIR}/src/kpkpass_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM}/KPkPass
)

if(NOT ANDROID AND SharedMimeInfo_VERSION_STRING VERSION_LESS 2.2)
    install(FILES application-vnd-apple-pkpass.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6PkPass_QCH
        NAME KPim6PkPass
        BASE_NAME KPim6PkPass
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KPkPass_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPKPASS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

ecm_qt_install_logging_categories(EXPORT KPKPASS FILE org_kde_kpkpass.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
kpkpass (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                shared-mime-info (>= 1.3~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kpkpass
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git

## kpkpass 25.04.3

=== debian/changelog ===
kpkpass (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:28 +0100

kpkpass (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:54:18 +0100

kpkpass (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:12:52 +0100

kpkpass (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:56:43 +0100

kpkpass (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:31 -0500

## kpkpass 25.07.80

=== debian/changelog ===
kpkpass (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:43:46 +0100

## kpkpass 25.07.90

=== debian/changelog ===
kpkpass (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:54:26 +0100

## kpkpass 25.08.0

=== debian/changelog ===
kpkpass (25.08.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 23:47:08 +0000

kpkpass (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:13:37 +0000

kpkpass (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:41:35 +0000

kpkpass (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:42:24 +0000

kpkpass (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:30:23 +0000

kpkpass (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:42:06 +0000

kpkpass (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:06:54 +0000

kpkpass (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:44:49 +0000

kpkpass (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:36:39 +0000

kpkpass (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:32:38 +0000

kpkpass (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:47:23 +0000

kpkpass (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:19:31 +0000

kpkpass (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:50:06 +0000

kpkpass (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:47:51 +0000

kpkpass (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:25:23 +0000

kpkpass (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:43:23 +0000

kpkpass (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:35:14 +0000

kpkpass (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:25:34 +0000

kpkpass (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:05:23 +0000

kpkpass (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 12:29:45 +0000

kpkpass (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:39:31 +0000

kpkpass (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:05:38 +0000

kpkpass (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:10:30 +0000

kpkpass (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:03:45 +0000

kpkpass (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:51:37 +0000

kpkpass (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:18:05 +0000

## kpkpass 25.08.1

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-FileCopyrightText: 2018-2021 Volker Krause <vkrause@kde.org>
-# SPDX-FileCopyrightText: 2021-2024 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2021-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
 find_package(Qt6Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpkpass (25.08.1-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:45:22 +0000

kpkpass (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:46:19 +0000

## kpkpass 25.08.1+p24.04+vstable+git20250911.1254

=== debian/changelog ===
kpkpass (25.08.1+p24.04+vstable+git20250911.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 12:54:42 +0000

## kpkpass 25.08.1+p24.04+vstable+git20250916.0148

=== debian/changelog ===
kpkpass (25.08.1+p24.04+vstable+git20250916.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 01:48:50 +0000

## kpkpass 25.08.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017-2020 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2018-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")
project(KPkPass VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.13.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_CXX_STANDARD 20)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMGenerateExportHeader)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

ecm_setup_version(PROJECT VARIABLE_PREFIX KPKPASS
    VERSION_HEADER src/kpkpass_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfigVersion.cmake"
    SOVERSION 6
)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive)
if(NOT ANDROID)
    find_package(SharedMimeInfo 1.8 REQUIRED)
endif()

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6PkPass")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6PkPass_QCH
        FILE KPim6PkPassQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6PkPassQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimPkPassConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6PkPassConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6PkPassTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6PkPassTargets.cmake
    NAMESPACE KPim6::
)

=== debian/changelog ===
kpkpass (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:44 +0100

kpkpass (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:19 +0100

kpkpass (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: kpkpass
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                libkf6archive-dev (>= 6.6.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                shared-mime-info (>= 1.3~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kpkpass
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
 Rules-Requires-Root: no
 
 Package: libkpkpass-dev

## kpkpass 25.08.2+p24.04+vstable+git20251012.2349

=== debian/changelog ===
kpkpass (25.08.2+p24.04+vstable+git20251012.2349-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 23:49:14 +0000

kpkpass (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:30:34 +0000

## kpkpass 25.08.2+p24.04+vstable+git20251016.0805

=== debian/changelog ===
kpkpass (25.08.2+p24.04+vstable+git20251016.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 08:05:10 +0000

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse,
               shared-mime-info (>= 1.3~)
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Git: https://invent.kde.org/neon/kde/kpkpass.git
Vcs-Browser: https://invent.kde.org/neon/kde/kpkpass
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-pkpass
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkpimpkpass5, libkpimpkpass6
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

Package: kpim6-pkpass-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-karchive-dev,
         kpim6-pkpass (= ${binary:Version}),
         qt6-base-dev,
         qt6-tools-dev,
         ${misc:Depends}
Replaces: libkpimpkpass-dev
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: all
Depends: kpim6-pkpass, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimpkpass6
Architecture: all
Depends: kpim6-pkpass, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimpkpass-dev
Architecture: all
Depends: kpim6-pkpass-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
